SELECT tslice, weekNum, yr-2010 as yearNum, 0 as itemType, count(*) as qty
FROM   (SELECT  checkout, 
                itemtype, 
                week(checkout,5) as weekNum,
                (Weekday(checkout) * 24*4) + floor(Hour(checkout) * 4 + (Minute(checkout)/15)) AS tslice,
                year(checkout) as yr
        FROM    transactions,
                itemType
        WHERE   checkout BETWEEN '2016-01-01' AND '2019-01-01'
                AND transactions.itemnumber = itemType.itemnumber) sample 
WHERE  tslice != 0
        AND ( itemtype = 'acbk' 
            OR itemtype = 'arbk' 
            OR itemtype = 'bcbk' 
            OR itemtype = 'drbk' 
            OR itemtype = 'jcbk' 
            OR itemtype = 'jrbk' )
GROUP  BY tslice, weeknum, yearNum, itemType;


-- DVD / VIDEO
-- change line 1 to include "1 as itemType"
-- AND ( itemtype = 'acdvd'
--     OR itemtype = 'ardvd'
--     OR itemtype = 'bcdvd'
--     OR itemtype = 'drdvd'
--     OR itemtype = 'jcdvd'
--     OR itemtype = 'jrdvd'
--     OR itemtype = 'scmed')

-- BOOKS
-- change line 1 to include "0 as itemType"
--    AND ( itemtype = 'acbk' 
--           OR itemtype = 'arbk' 
--           OR itemtype = 'bcbk' 
--           OR itemtype = 'drbk' 
--           OR itemtype = 'jcbk' 
--           OR itemtype = 'jrbk' ) 